Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.util
Class ASN1Dump

    java.lang.Object
      org.bouncycastle.asn1.util.ASN1Dump

Direct Known Subclasses:
  DERDump

    public class ASN1Dump

extends java.lang.Object

Constructor Summary
`ASN1Dump()`

Method Summary
`static java.lang.String` | `dumpAsString(java.lang.Object obj)` dump out a DER object as a formatted string, in non-verbose mode.
`static java.lang.String` | `dumpAsString(java.lang.Object obj, boolean verbose)` Dump out the object as a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASN1Dump

    public ASN1Dump()

Method Detail

### dumpAsString

    public static java.lang.String dumpAsString(java.lang.Object obj)

  dump out a DER object as a formatted string, in non-verbose mode.

  Parameters:
    `obj` - the DERObject to be dumped out.
  Returns:
    the resulting string.

### dumpAsString

    public static java.lang.String dumpAsString(java.lang.Object obj,
                                                boolean verbose)

  Dump out the object as a string.

  Parameters:
    `obj` - the object to be dumped
    `verbose` - if true, dump out the contents of octet and bit strings.
  Returns:
    the resulting string.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD